Get production history and forecast for wells
Returns one entry per well with id, history and forecast arrays.
Get production history and forecast for wells
/v1/productionReturns one entry per well with id, history and forecast arrays. With includeForecast: false, forecast is empty. A well that is not found returns empty arrays. Up to 1,000 wells per request.
Request body
application/json
wellListarray of stringsRequiredWell identifiers (UWI or API), returned as you sent them.
productionSourcestringRequiredProduction source, for example
GDC.forecastSourcestringRequiredForecast source, for example
GDC.includeForecastboolean or nullOptionalSet false to return history only.
Responses
200 OK
Production per well.
array of objects of WellProduction
idstringRequiredWell identifier.
historyarrayRequiredProduction history records.
forecastarrayRequiredForecast records. Empty when
includeForecastis false.
Errors
| Status | When |
|---|---|
| 400 | Too many wells or an invalid request. |
Shared errors401What they mean